# /usr/share/spoofer/spoofer-lib.sh

PROBERTAG="# auto spoofer prober added by /etc/init.d/spoofer"
STARTTAG="# auto spoofer startup added by /etc/init.d/spoofer"
LOGDIR="/var/run"

. /lib/config/uci.sh

spoofer_init_config() {
    uci_set_default spoofer <<EOF
config settings general
        option enableTLS '1'
        option enableIPv4 '1'
        option enableIPv6 '1'
        option sharePublic '1'
        option shareRemedy '1'
        option keepResults '60'
        option keepLogs '3'
EOF
}

crontab_l() {
    crontab -l 2>/dev/null
}

keeplogs() {
    n="$1"
    test "$n" -gt 0 || return 0
    ls -1 $LOGDIR/spoofer-prober-*.txt 2>/dev/null | head -n -$n | while read f; do
	rm "$f"
	uci show spoofer | fgrep ".log='$f'" | awk -F'=' '{print $1;}' | \
	while read option; do
	    uci delete "$option"
	done
    done
}
